Summary: A library for emulating the uPD765a floppy controller
Name: lib765
Version: 0.3.3
Release: 6%{?dist}
License: LGPL
Group: System Environment/Libraries
Source: http://www.seasip.demon.co.uk/Unix/LibDsk/lib765-%{version}.tar.gz
URL: http://www.seasip.demon.co.uk/Unix/LibDsk/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libdsk-devel

%description
A library for emulating the uPD765a floppy controller as found on the Spectrum
+3, Amstrad CPC and PCW.

%package devel
Summary: Development files for lib765.
Group: Development/Libraries
Requires: libdsk-devel, %{name} = %{version}-%{release}

%description devel
Development files for lib765.

%prep
%setup -q

%build
%configure --disable-static
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/lib765.so.*
%doc doc/765.txt doc/COPYING.LIB ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/lib765.so
%{_includedir}/765.h
%exclude %{_libdir}/lib765.la

%changelog
* Fri Mar 10 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.3-6
- Minor tweak to the spec file

* Thu Mar 9 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.3-5
- Bug in the spec file means it didn't compile.

* Tue Mar 7 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.3-4
- Added Require for devel package

* Mon Nov 14 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.3-3
- now uses %{?_smp_mflags} during the make process

* Fri Nov 11 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.3.3-2
- renamed spec file

* Fri Nov 11 2005 Paul Howarth <paul@city-fan.org> - 0.3.3-2
- Removed vendor and packager tags
- Use FE standard buildroot
- Unpack tarball quietly
- Remove BuildRoot in %%install rather than %%prep
- Use DESTDIR with make instead of %%makeinstall
- Don't build static lubs
- Add libdsk-devel dep for -devel subpackage

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 0.3.3-1.2
- Many alterations to bring the spec into line with the rules
- removed *.la files, changes to rpm name and changed to %configure

* Mon Jul 11 2005 Paul Johnson <paul@all-the-johnsons.co.uk> - 0.3.3-1.1.FC4
- Changed version for FC4

* Mon Feb 28 2005 Ian Chapman <packages@amiga-hardware.com> - 0.3.3-1.iss
- Changelog was duplicated in spec file, fixed.
- Updated to version 0.3.3

* Mon Jul 16 2004 Ian Chapman <packages@amiga-hardware.com> - 0.3.1.1-3.iss
- Updated to Fedora Core 2

* Fri Dec 05 2003 Ian Chapman <packages@amiga-hardware.com> - 0.3.1.1-2
- Minor changes to changelog
- Moved a file from the main package to the devel package
- Improved use of macros

* Sat Dec 01 2003 Ian Chapman <packages@amiga-hardware.com> - 0.3.1.1-1
- Initial Release

